Skip to main content

pullRequestScanRun

Returns a single pull request scan run by its durable id

pullRequestScanRun(
id: ID!
): PullRequestScanRun!

Arguments​

pullRequestScanRun.id ● ID! non-null scalar​

The durable ScanRun id

Type​

PullRequestScanRun object​

A durable pull request scan attempt and its Security Gate verdict

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetPullRequestScanRun($id: ID!) {\n pullRequestScanRun(id: $id) { id asset { id name activeDevelopers { __typename } } branch { id name default } }\n}","variables":{"id":"example-id"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute